package Depot::Fee;

# Fee.pm -- author: Oliver Bossert
# Copyright (C) 2004 Oliver Bossert
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

use strict;

use vars qw(@ISA @EXPORT %CACHE);
require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(fee_close fee_open);



############################################################
sub fee_close { # Fee for closing
############################################################
  my ($nb, $val) = @_;
  my $fee = 0;

  # 2% of the selling price
  $fee = 0.02 * $nb * $val;

  # Interactive Brokers
  $fee = 0.001 * $nb * $val;
  $fee = 4 if ($fee < 4);
  $fee = 29 if ($fee > 29);

  return $fee;
}

############################################################
sub fee_open { # Fee for opening
############################################################
  my ($nb, $val) = @_;
  my $fee = 0;

  # 2% of the selling price
  $fee = 0.02 * $nb * $val;

  # Interactive Brokers
  $fee = 0.001 * $nb * $val;
  $fee = 4 if ($fee < 4);
  $fee = 29 if ($fee > 29);

  return $fee;
}


1;
